Last Comment Bug 1329013 - Enable no-lone-blocks rule for eslint
: Enable no-lone-blocks rule for eslint
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: General (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: mozilla53
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-05 13:49 PST by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-07 08:28 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329013 - Enable no-lone-blocks rule for eslint and remove the seven unnecessary blocks that it found. (59 bytes, text/x-review-board-request)
2017-01-05 14:10 PST, Jared Wein [:jaws] (please needinfo? me)
dtownsend: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 13:49:27 PST
There are seven unnecessary blocks that were found by this rule. These blocks just create noise within the code and could potentially mislead a developer to think that a variable or function is scoped to the block that it is defined in.
Comment 1 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 14:10:07 PST Comment hidden (mozreview-request)
Comment 2 User image Dave Townsend [:mossop] 2017-01-06 10:02:27 PST
Comment on attachment 8824226 [details]
Bug 1329013 - Enable no-lone-blocks rule for eslint and remove the seven unnecessary blocks that it found.

https://reviewboard.mozilla.org/r/102738/#review103510
Comment 3 User image Pulsebot 2017-01-06 12:10:07 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8f982926c7e5
Enable no-lone-blocks rule for eslint and remove the seven unnecessary blocks that it found. r=mossop
Comment 4 User image Ryan VanderMeulen [:RyanVM] 2017-01-07 08:28:29 PST
https://hg.mozilla.org/mozilla-central/rev/8f982926c7e5

Note You need to log in before you can comment on or make changes to this bug.